Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.termination
Class AbstractCompositeTermination

    java.lang.Object
      org.drools.planner.core.termination.AbstractTermination
          org.drools.planner.core.termination.AbstractCompositeTermination

All Implemented Interfaces:
  EventListener, SolverPhaseLifecycleListener, SolverLifecycleListener, Termination

Direct Known Subclasses:
  AndCompositeTermination, OrCompositeTermination

    public abstract class AbstractCompositeTermination

extends AbstractTermination
implements Termination

Abstract superclass for CompositeTermination classes that combine multiple Terminations.

Field Summary
`protected List<Termination>` | `terminationList`

Fields inherited from class org.drools.planner.core.termination.AbstractTermination
`logger`

Constructor Summary
`AbstractCompositeTermination()`
`AbstractCompositeTermination(Termination... terminations)`

Method Summary
`void` | `beforeDeciding(AbstractStepScope stepScope)`
`void` | `phaseEnded(AbstractSolverPhaseScope solverPhaseScope)`
`void` | `phaseStarted(AbstractSolverPhaseScope solverPhaseScope)`
`void` | `setTerminationList(List<Termination> terminationList)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `stepDecided(AbstractStepScope stepScope)`
`void` | `stepTaken(AbstractStepScope stepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.termination.Termination
`calculatePhaseTimeGradient, calculateSolverTimeGradient, isPhaseTerminated, isSolverTerminated`

Field Detail

### terminationList

    protected List<Termination> terminationList

Constructor Detail

### AbstractCompositeTermination

    public AbstractCompositeTermination()

### AbstractCompositeTermination

    public AbstractCompositeTermination(Termination... terminations)

Method Detail

### setTerminationList

    public void setTerminationList(List<Termination> terminationList)

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Specified by:
    `solvingStarted` in interface `SolverLifecycleListener`
  Overrides:
    `solvingStarted` in class `AbstractTermination`

### phaseStarted

    public void phaseStarted(AbstractSolverPhaseScope solverPhaseScope)

  Specified by:
    `phaseStarted` in interface `SolverPhaseLifecycleListener`
  Overrides:
    `phaseStarted` in class `AbstractTermination`

### beforeDeciding

    public void beforeDeciding(AbstractStepScope stepScope)

  Specified by:
    `beforeDeciding` in interface `SolverPhaseLifecycleListener`
  Overrides:
    `beforeDeciding` in class `AbstractTermination`

### stepDecided

    public void stepDecided(AbstractStepScope stepScope)

  Specified by:
    `stepDecided` in interface `SolverPhaseLifecycleListener`
  Overrides:
    `stepDecided` in class `AbstractTermination`

### stepTaken

    public void stepTaken(AbstractStepScope stepScope)

  Specified by:
    `stepTaken` in interface `SolverPhaseLifecycleListener`
  Overrides:
    `stepTaken` in class `AbstractTermination`

### phaseEnded

    public void phaseEnded(AbstractSolverPhaseScope solverPhaseScope)

  Specified by:
    `phaseEnded` in interface `SolverPhaseLifecycleListener`
  Overrides:
    `phaseEnded` in class `AbstractTermination`

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

  Specified by:
    `solvingEnded` in interface `SolverLifecycleListener`
  Overrides:
    `solvingEnded` in class `AbstractTermination`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.